public class LectureReelDansIntervalle {

////////////////////////////////////////////////
  
/* Lecture au clavier d'une valeur reelle     */
/* comprise dans un intervalle et retour      */

  static double lectureReel(double min,double max) {
    double valeur;
    valeur = Clavier.saisirDouble();
    while ( ( valeur < min ) || ( valeur > max ) ) {
      Ecran.afficher("Erreur, resaisissez : ");
      valeur = Clavier.saisirDouble(); }
    return valeur;
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    double min;
    double max;
    double v;
    Ecran.afficher("SVP, min : ");
    min = Clavier.saisirDouble();
    Ecran.afficher("SVP, max : ");
    max = Clavier.saisirDouble();
    Ecran.afficher("SVP, n : ");
    v = lectureReel(min,max);  
    Ecran.afficherln("Valeur lue = ",v);
  }
}